#
# spec file for package limal-nfs-server (Version 1.1.72)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx blocxx-devel bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dejagnu diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expect file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libgssapi libidn libmudflap libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libxml2 libxslt libzio limal limal-devel limal-devtools limal-perl m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl perl-Config-IniFiles perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline recode rpm sed sgml-skel strace swig sysvinit tar tcl tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           limal-nfs-server
Version:        1.1.72
Release:        0.3
License:        GPL v2 or later
Group:          System/Management
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        limal-nfs-server-1.1.72.tar.bz2
Prefix:         /usr
%define		swiglibdir %(swig -swiglib)
BuildRequires:  curl gcc-c++ limal-devel limal-devtools limal-perl perl-gettext sgml-skel
Summary:        LiMaL--NFS Server Library

%description
NFS Server Library provides methods for managing a NFS Server



Authors:
--------
    Marius Tomachewski
    Chakravarthi P 

%debug_package
%package devel
License:        GPL v2 or later
Requires:       limal-nfs-server = %version
Requires:       limal-devel, libstdc++-devel, blocxx-devel, pcre-devel
Group:          System/Management
Summary:        LiMaL--NFS Server Library

%description devel
NFS Server Library provides methods for managing a NFS Server



Authors:
--------
    Marius Tomachewski
    Chakravarthi P 

%package perl
License:        GPL v2 or later
Requires:       limal-perl
Group:          System/Management
Summary:        LiMaL--NFS Server Library

%description perl
NFS Server Library provides methods for managing a NFS Server



Authors:
--------
    Marius Tomachewski
    Chakravarthi P 

%prep
%setup -n limal-nfs-server-1.1.72

%build
%{prefix}/bin/limaltool limalautoconf
%{prefix}/bin/limaltool limalautomake
autoreconf --force --install --verbose
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir} \
            --sysconfdir=/etc --localstatedir=/var
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/limal/devtools/NO_MAKE_CHECK" ] || \
           LIMALDATADIR="$RPM_BUILD_ROOT/usr/share/limal"  \
# required for perl test cases
export LD_LIBRARY_PATH="$RPM_BUILD_ROOT/usr/lib/limal"
make check DESTDIR="$RPM_BUILD_ROOT"

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir %{_libdir}/limal
%{_libdir}/limal/lib*.so.*
# comment out if you don't build any translations
# (you removed any languages from po/LINGUAS file)
%{_prefix}/share/locale/*/LC_MESSAGES/*

%files devel
%defattr(-,root,root)
%dir %{_libdir}/limal
%{_libdir}/limal/lib*.so
%{_libdir}/limal/lib*.la
%dir %{_includedir}/limal/nfs-server
%{_includedir}/limal/nfs-server/*
%{_libdir}/pkgconfig/limal-nfs-server.pc
%doc %{_prefix}/share/doc/packages/limal-nfs-server

%files perl
%defattr(-,root,root)
%dir %{perl_vendorarch}/LIMAL
%dir %{perl_vendorarch}/auto/LIMAL
%dir %{perl_vendorarch}/auto/LIMAL/NfsServer/
%{perl_vendorarch}/auto/LIMAL/NfsServer/*
%{perl_vendorarch}/LIMAL/*.pm

%changelog
* Fri Apr 18 2008 - mc@suse.de
- version 1.1.72
- update translations
* Fri Mar 14 2008 - mc@suse.de
- version 1.1.71
- update translations
* Fri Feb 15 2008 - mc@suse.de
- version 1.1.70
- update translations
* Thu May 03 2007 - mc@suse.de
- fixing typos in log message
* Mon Apr 02 2007 - mc@suse.de
- version 1.1.57
- update translations
* Thu Mar 29 2007 - mc@suse.de
- version 1.1.56
- update translations
* Mon Mar 19 2007 - mc@suse.de
- version 1.1.55
- update translations
* Fri Mar 09 2007 - mc@suse.de
- version 1.1.54
- update translations
* Tue Feb 27 2007 - mc@suse.de
- version 1.1.53
- update translations
* Fri Feb 16 2007 - mc@suse.de
- version 1.1.52
- update translations
* Mon Jan 15 2007 - mc@suse.de
- version 1.1.51
- merge proofreaded texts
* Mon Jan 08 2007 - mc@suse.de
- fix the makefile
* Fri Dec 01 2006 - mc@suse.de
- version 1.1.50
* Wed Nov 08 2006 - pchakravarthi@novell.com
- Modified NfsIdmapdConf.cpp and KNfsIdmapdConf.cpp to handle
  error conditions better.
* Thu Oct 12 2006 - pchakravarthi@novell.com
- unspecified fix in KNfsIdmapdRules
* Thu Sep 28 2006 - mt@suse.de
- Fixed to use limal::Logger interface in skeleton testcases
- Applied gettext calls to all exception messages
* Mon Sep 25 2006 - pchakravarthi@novell.com
- Added code to be able to read, check, and write back the idmapd
  entries in the configuration file /etc/idmapd.conf
